package com.bonus.canteen.core.menu.vo;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class MenuDishesStepDetailVo implements Serializable {
   private Long stepId;
   @ApiModelProperty("原料步骤Id")
   private Long functionId;
   @ApiModelProperty("步骤名称")
   private String stepName;
   @ApiModelProperty("步骤数")
   private Integer stepNo;
   @ApiModelProperty("步骤编号")
   private Integer stepNum;
   @ApiModelProperty("开始时长范围")
   private Double stepTimeStart;
   @ApiModelProperty("结束时长范围")
   private Double stepTimeEnd;

   public Long getStepId() {
      return this.stepId;
   }

   public Long getFunctionId() {
      return this.functionId;
   }

   public String getStepName() {
      return this.stepName;
   }

   public Integer getStepNo() {
      return this.stepNo;
   }

   public Integer getStepNum() {
      return this.stepNum;
   }

   public Double getStepTimeStart() {
      return this.stepTimeStart;
   }

   public Double getStepTimeEnd() {
      return this.stepTimeEnd;
   }

   public MenuDishesStepDetailVo setStepId(final Long stepId) {
      this.stepId = stepId;
      return this;
   }

   public MenuDishesStepDetailVo setFunctionId(final Long functionId) {
      this.functionId = functionId;
      return this;
   }

   public MenuDishesStepDetailVo setStepName(final String stepName) {
      this.stepName = stepName;
      return this;
   }

   public MenuDishesStepDetailVo setStepNo(final Integer stepNo) {
      this.stepNo = stepNo;
      return this;
   }

   public MenuDishesStepDetailVo setStepNum(final Integer stepNum) {
      this.stepNum = stepNum;
      return this;
   }

   public MenuDishesStepDetailVo setStepTimeStart(final Double stepTimeStart) {
      this.stepTimeStart = stepTimeStart;
      return this;
   }

   public MenuDishesStepDetailVo setStepTimeEnd(final Double stepTimeEnd) {
      this.stepTimeEnd = stepTimeEnd;
      return this;
   }
}
